aboutsummaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/glcpp/tests
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2017-02-28 13:29:06 +0000
committerEmil Velikov <[email protected]>2017-03-28 15:31:24 +0100
commit0f9a0cb5f55b432f58c9adbb9b1c63c748d1dfd0 (patch)
tree51a184654741ff04a3cf26ab77de788788f152d2 /src/compiler/glsl/glcpp/tests
parentd8096b75aa15fdda8433c2c8614ca0bf5de2c150 (diff)
glcpp/tests/glcpp-test-cr-lf: error out if we cannot find any tests
Signed-off-by: Emil Velikov <[email protected]> Acked-by: Kenneth Graunke <[email protected]> Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to 'src/compiler/glsl/glcpp/tests')
-rwxr-xr-xsrc/compiler/glsl/glcpp/tests/glcpp-test-cr-lf.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/glcpp/tests/glcpp-test-cr-lf.sh b/src/compiler/glsl/glcpp/tests/glcpp-test-cr-lf.sh
index f0043adba10..c1e39290d39 100755
--- a/src/compiler/glsl/glcpp/tests/glcpp-test-cr-lf.sh
+++ b/src/compiler/glsl/glcpp/tests/glcpp-test-cr-lf.sh
@@ -133,6 +133,11 @@ done
run_test "${glcpp_test} --testdir=subtest-lf-cr"
+if [ $total -eq 0 ]; then
+ echo "Could not find any tests."
+ exit 1
+fi
+
echo ""
echo "$pass/$total tests returned correct results"
echo ""